2012-09-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/gnutls.texi: backported the short function
	inclusion

2012-09-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am: Added missing files

2012-09-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, m4/hooks.m4: bumped version

2012-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/abstract_int.h, lib/ext/signature.c,
	lib/gnutls_pubkey.c, lib/gnutls_sig.c: Be tolerant in
	ECDSA-violating signatures.

2012-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/testcompat-main: Added server mode tests for the
	various EC curves.

2012-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/certs/cert-ecc256.pem, tests/certs/cert-ecc384.pem,
	tests/certs/cert-ecc521.pem, tests/certs/ecc256.pem,
	tests/certs/ecc384.pem, tests/certs/ecc521.pem,
	tests/suite/testcompat-main: Added suite for ECDSA under various
	curves

2012-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2012-08-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/serv.c: On Linux with /proc/sys/net/ipv6/bindv6only == 0
	(which is now the default), gnutls-serv cannot listen on ipv6. Patch
	by Bernhard R. Link.

2012-08-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2012-08-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11_privkey.c: fix DSA and ECDSA signing in smart cards.

2012-08-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/common.c: null terminate the certificate being print

2012-08-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/privkey_pkcs8.c: Prevent the usage of strlen() on null
	values.

2012-08-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/signature.c: When selecting a session signature algorithm
	consider the enabled.

2012-08-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/Makefile.am: Link srptool with libintl. Suggested by B. Scott
	Michel.

2012-08-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cfg.mk, doc/Makefile.am: the new makeinfo sets the FLOAT_NAME by
	default.

2012-08-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cfg.mk: corrected html generation

2012-08-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cfg.mk: updated html doc

2012-08-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/gnutls.texi: use  FLOAT_NAME_IN_XREF

2012-08-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_rsa_export.c: corrected typo

2012-08-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: bumped version

2012-08-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/gnutls.texi: better doc output

2012-08-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: corrected news entry.

2012-08-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, m4/hooks.m4: bumped version

2012-08-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2012-08-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/privkey_pkcs8.c: Revert "Do not crash if password is null
	and GNUTLS_PKCS_PLAIN is not specified." This allows decrypting PKCS
	#12 structures that are encrypted with a NULL password (which is
	different than empty).  This reverts commit 7b20e72332e3e5238e8236375a2a82b1387e2e06.

2012-08-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented update

2012-07-26  Petr Písař <petr.pisar@atlas.cz>

	* src/certtool.c: Respect certtool --hash when signing request and
	CRL The certtool hard-codes the digest algorithm despite '--hash' option
	exists.  This patch allows user to choose the algorithm when signing
	certificate request or certificate revocation list.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-07-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/openpgp-auth.c, tests/openpgp-auth2.c: use stack for file
	paths

2012-07-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/scripts/mytexi2latex: handle noindent

2012-07-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: Check for /etc/ssl/cert.pem in OpenBSD. Reported by
	David Woodhouse and Mike Miller.

2012-07-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/openpgp-auth.c, tests/openpgp-auth2.c: Avoid the usage of
	alloca(). Reported by Rob McMahon.

2012-07-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/cipher.c: Avoid returning from void function. Patch by
	Rob McMahon.

2012-07-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/verify-high.c: When verifying a certificate chain make
	sure it is chain.  If the chain is interrupted (wrong) at some point then truncate,
	only try to verify the correct part. Patch by David Woodhouse.

2012-07-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-common.c: added support for legacy sec-param.

2012-07-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, m4/hooks.m4: bumped version

2012-07-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_ui.c: removed warning for bits==512

2012-07-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2012-07-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/privkey.c: Handle EC DER keys.

2012-06-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am: Added missing functions

2012-06-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented update

2012-06-30  David Woodhouse <David.Woodhouse@intel.com>

	* lib/gnutls_record.c: Return GNUTLS_E_LARGE_PACKET instead of
	truncating when sending DTLS record Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-06-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: fix

2012-06-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: no need to check for DTLS

2012-06-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: no need for _gnutls prefix.

2012-06-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: only block ciphers need 1 byte padding.

2012-06-29  David Woodhouse <David.Woodhouse@intel.com>

	* lib/gnutls_dtls.c: Fix documentation for gnutls_dtls_set_mtu() It *isn't* the interface MTU, it's the transport MTU.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-06-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented update

2012-06-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: sign fixes

2012-06-29  David Woodhouse <David.Woodhouse@intel.com>

	* lib/gnutls_dtls.c, lib/includes/gnutls/dtls.h, lib/libgnutls.map: 
	Add gnutls_dtls_set_data_mtu() Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-06-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_dtls.c, lib/gnutls_int.h, lib/gnutls_state.c,
	lib/gnutls_state.h: gnutls_dtls_get_data_mtu() is more precise.
	Based on patch by David Woodhouse.

2012-06-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, src/certtool-args.c, src/certtool-args.h,
	src/cli-args.c, src/cli-args.h, src/cli-debug-args.c,
	src/cli-debug-args.h, src/ocsptool-args.c, src/ocsptool-args.h,
	src/p11tool-args.c, src/p11tool-args.h, src/psk-args.c,
	src/psk-args.h, src/serv-args.c, src/serv-args.h,
	src/srptool-args.c, src/srptool-args.h: Added autogen generated
	files.

2012-06-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_buffers.c: cleaned up errno handling.

2012-06-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/cha-gtls-app.texi, lib/gnutls_buffers.c,
	lib/gnutls_errors.c, lib/gnutls_record.c, lib/system.c: Return
	GNUTLS_E_LARGE_PACKET when errno is EMSGSIZE

2012-06-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-args.def: do not require load-privkey for to-p12

2012-06-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2012-06-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11.c, lib/pkcs11_privkey.c: Use the label when looking for
	a certificate or private key in PKCS #11.  Patch by David Woodhouse.  Conflicts: 	lib/pkcs11.c

2012-06-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: removed crap

2012-06-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/Makefile.am, lib/algorithms.h,
	lib/algorithms/ciphersuites.c, lib/algorithms/protocols.c,
	lib/gnutls_constate.c, lib/gnutls_handshake.c, lib/gnutls_int.h,
	lib/gnutls_kx.c, lib/gnutls_session_pack.c,
	lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map: Added support
	for an old version of the DTLS protocol used by openconnect vpn
	client for compatibility with Cisco's AnyConnect SSL VPN. It is
	marked as GNUTLS_DTLS0_9. Do not use it for newer protocols as it
	has issues.  Conflicts: 	NEWS 	lib/libgnutls.map

2012-06-15  Diego Elio Pettenò <flameeyes@flameeyes.eu>

	* src/Makefile.am: build: make sure to declare the generated source
	files as BUILT_SOURCES This allows proper building when using parallel make on a multi-core
	system.  Signed-off-by: Diego Elio Pettenò <flameeyes@flameeyes.eu>
	Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-06-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/dtls/dtls-stress.c: correct comparison of sent data in
	dtls-stress.

2012-06-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2012-06-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/privkey_pkcs8.c: Fixed leaks in PKCS #8 decoding

2012-06-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-cert-select-pkcs11.c: documented pin_callback
	expectations.

2012-06-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/common.c: Print the fingerprint only in the first certificate
	in the chain.

2012-06-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: corrected function name

2012-06-06  Mark Brand <mabrand@mabrand.nl>

	* lib/gnutls_x509.c: add missing include wincrypt.h Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: mention retrieve_function2

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/gnutls.h.in: corrected invalid char

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-upgrade.texi, doc/latex/Makefile.am: updates in latex
	build

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/latex/gnutls.tex: no need for eurosans

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi: do not use @euro{}

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* build-aux/ar-lib, build-aux/config.rpath,
	build-aux/snippet/_Noreturn.h, gl/Makefile.am, gl/errno.in.h,
	gl/fseeko.c, gl/fstat.c, gl/ftello.c, gl/lseek.c, gl/m4/dup2.m4,
	gl/m4/errno_h.m4, gl/m4/fseeko.m4, gl/m4/fstat.m4, gl/m4/ftello.m4,
	gl/m4/ftruncate.m4, gl/m4/getcwd.m4, gl/m4/getdelim.m4,
	gl/m4/getline.m4, gl/m4/gettimeofday.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/largefile.m4, gl/m4/lseek.m4,
	gl/m4/lstat.m4, gl/m4/malloc.m4, gl/m4/manywarnings.m4,
	gl/m4/memmem.m4, gl/m4/mmap-anon.m4, gl/m4/off_t.m4,
	gl/m4/putenv.m4, gl/m4/realloc.m4, gl/m4/setenv.m4,
	gl/m4/signbit.m4, gl/m4/sleep.m4, gl/m4/stat.m4, gl/m4/strerror.m4,
	gl/m4/symlink.m4, gl/m4/sys_stat_h.m4, gl/m4/sys_types_h.m4,
	gl/m4/ungetc.m4, gl/m4/unistd_h.m4, gl/m4/warnings.m4, gl/select.c,
	gl/stdint.in.h, gl/stdio.in.h, gl/strerror-override.c,
	gl/strerror-override.h, gl/sys_stat.in.h, gl/sys_types.in.h,
	gl/tests/binary-io.h, gl/tests/fcntl.in.h, gl/tests/ftruncate.c,
	gl/tests/ignore-value.h, gl/tests/init.sh, gl/tests/stat.c,
	gl/tests/test-binary-io.c, gl/tests/test-binary-io.sh,
	gl/tests/test-errno.c, gl/u64.h, gl/unistd.in.h, ltmain.sh,
	maint.mk: updated gnulib

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: move files to ignore

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/cert-tests/Makefile.am,
	tests/cert-tests/ca-certs.pem, tests/certs/ca-certs.pem: moved
	ca-certs.

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* : updated

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, m4/hooks.m4: bumped version

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc fix

2012-06-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth2.texi: removed text about function that doesn't
	exist in this release.

2012-06-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-cfg.c: print warning to stderr

2012-06-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi, doc/cha-cert-auth2.texi: doc updates

2012-06-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/openpgp/pgpverify.c: fixes in openpgp certificate
	verification.

2012-06-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libgnutls.map: Removed duplicate entries and added an explicit
	local.

2012-06-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11.c: better function naming.

2012-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2012-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/x509.c: doc updates

2012-05-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/gnutls.h.in: corrected text

2012-05-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/verify.c: corrected typo

2012-05-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_ui.c: typo fix

2012-05-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/privkey.c: documented behavior.

2012-05-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/privkey_pkcs8.c: Do not crash if password is null and
	GNUTLS_PKCS_PLAIN is not specified.

2012-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, lib/gnutls_buffers.c, tests/Makefile.am,
	tests/certs/ca-certs.pem, tests/mini-x509-cas.c: Corrected handling
	of handshake packets that span multiple records.

2012-05-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: documentation update

2012-05-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* : added missing file

2012-05-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, cross.mk, m4/hooks.m4: bumped version

2012-05-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_session_pack.c: corrected data copy

2012-05-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2012-05-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-cfg.c: MAX_ENTRIES increased to 128.

2012-05-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: Updated documentation on DTLS.

2012-05-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-examples.texi: updated documentation.

2012-05-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am: no need to distribute gnutls.ps

2012-05-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am, lib/gnutls_x509.c: Use windows trusted
	certificate store.

2012-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, lib/gnutls_x509.c: Added the notion of a default CRL
	file.

2012-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi, doc/cha-gtls-app.texi,
	doc/cha-shared-key.texi, doc/examples/ex-client-x509.c,
	doc/manpages/Makefile.am: documentation updates

2012-05-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cert.c: updated doc

2012-05-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/common.h: no need for netinet/ip.h

2012-05-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c: no need for default_ca_file

2012-05-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/verify.c: When checking for an issuer check for a match
	in the key identifiers.

2012-05-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: Added text for gnutls_dh_set_prime_bits and
	gnutls_srp_set_prime_bits

2012-05-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_ui.c: Document the effect of lowering the DH bits.

2012-05-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-client-x509.c, doc/examples/ex-serv-x509.c,
	lib/gnutls_x509.c: Be more conservative with examples.
	gnutls_certificate_set_x509_system_trust() returns
	GNUTLS_E_UNIMPLEMENTED_FEATURE on systems that do not have a (known)
	default trust store.

2012-05-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-client-dtls.c, doc/examples/ex-client-resume.c,
	doc/examples/ex-client-srp.c, doc/examples/ex-client-x509.c: Revert
	"updated examples" This reverts commit 559614fc7a288bf6eaf36ebe696e07b150c96be5.

2012-05-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c, src/common.c: Print certificate if --print-cert is
	given, even on verification failure.

2012-05-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-args.def: documented uri option

2012-05-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: Revert "This patch fixes following kind of issue
	with automake 1.12" It was suggested that this need not to be solved
	by gnutls.  This reverts commit ace8a662ff90679c575658e787f48577e2fd5940.

2012-05-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, src/certtool-cfg.c, src/certtool-cfg.h, src/certtool.c,
	tests/cert-tests/template-test.pem: Added support for the URI type
	of subject alternative name in certtool.

2012-05-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi, doc/cha-cert-auth2.texi,
	doc/cha-intro-tls.texi: updated examples and documentation.

2012-05-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-client-dtls.c, doc/examples/ex-client-resume.c,
	doc/examples/ex-client-srp.c, doc/examples/ex-client-x509.c: updated
	examples

2012-05-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_x509.c, lib/libgnutls.map: fixes in patch.

2012-05-08  Ludwig Nussel <ludwig.nussel@suse.de>

	* configure.ac, doc/Makefile.am, doc/manpages/Makefile.am,
	lib/gnutls_x509.c, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map, src/cli.c: introduce
	gnutls_certificate_set_x509_system_trust gnutls_certificate_set_x509_system_trust() imports the trusted root
	CA's from a compile time defined location. That way applications
	don't need to know.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-05-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am: added new functions

2012-05-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* README-alpha, src/libopts/Makefile.am, src/libopts/ag-char-map.h,
	src/libopts/ao-strs.c, src/libopts/ao-strs.h,
	src/libopts/autoopts.c, src/libopts/autoopts.h,
	src/libopts/autoopts/options.h, src/libopts/autoopts/project.h,
	src/libopts/autoopts/usage-txt.h, src/libopts/boolean.c,
	src/libopts/check.c, src/libopts/compat/compat.h,
	src/libopts/compat/pathfind.c, src/libopts/configfile.c,
	src/libopts/cook.c, src/libopts/enum.c, src/libopts/env.c,
	src/libopts/find.c, src/libopts/genshell.c, src/libopts/genshell.h,
	src/libopts/libopts.c, src/libopts/load.c,
	src/libopts/m4/libopts.m4, src/libopts/makeshell.c,
	src/libopts/nested.c, src/libopts/parse-duration.c,
	src/libopts/pgusage.c, src/libopts/proto.h, src/libopts/putshell.c,
	src/libopts/reset.c, src/libopts/save.c, src/libopts/stack.c,
	src/libopts/streqvcmp.c, src/libopts/tokenize.c,
	src/libopts/usage.c, src/libopts/value-type.h,
	src/libopts/xat-attribute.h: updated libopts

2012-05-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/cha-cert-auth2.texi, lib/abstract_int.h,
	lib/algorithms.h, lib/algorithms/sign.c, lib/ext/signature.c,
	lib/gnutls_pubkey.c, lib/gnutls_sig.c,
	lib/includes/gnutls/abstract.h, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map, lib/x509/verify.c, lib/x509/x509.c,
	lib/x509/x509_int.h, tests/x509sign-verify.c: Added
	gnutls_pubkey_verify_hash2() and gnutls_pk_to_sign().

2012-05-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: This patch fixes following kind of issue with
	automake 1.12 | automake: warnings are treated as errors |
	/.../automake-1.12/am/ltlibrary.am: warning: 'libgnutls.la': linking
	libtool libraries using a non-POSIX |
	/.../automake-1.12/am/ltlibrary.am: archiver requires 'AM_PROG_AR'
	in 'configure.ac' Patch by: Nitin A Kamble <nitin.a.kamble@intel.com>

2012-05-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_sig.c: Corrected allocation check

2012-04-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/autoopts/options.h: removed redundant declaration.

2012-04-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* devel/perlasm/cpuid-x86_64.pl,
	lib/accelerated/x86/coff/cpuid-x86-64-coff.s: Corrected win64
	cpuid() code. Report and patch by Mann Ern Kang.

2012-04-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_mpi.c: corrected bug in scan_nz()

2012-04-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, build-aux/config.rpath, configure.ac, m4/hooks.m4: 
	documented updates and bumped version.

2012-04-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dh.c, lib/gnutls_dh.h: corrected typo

2012-04-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/dh_common.c, lib/gnutls_dh.c, lib/gnutls_dh.h: Return
	proper error code if parameter check fails.

2012-04-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/srp.c: Added complete check in SRP parameters.

2012-04-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dh.c: Added better sanity checks in Diffie-Hellman key
	exchange.

2012-04-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: Added option to unconditionally disable crywrap.
	Patch by Daniel Mierswa.

2012-04-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/verify-tofu.c: Use openpgp if enabled.

2012-04-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/pkcs11.c: If a callback fails try the other.

2012-04-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/pkcs11.c: by default register a file callback in p11-kit
	to read a file from the pin-source pkcs11url field.

2012-04-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* po/cs.po.in, po/de.po.in, po/fi.po.in, po/it.po.in, po/nl.po.in,
	po/pl.po.in, po/sv.po.in, po/uk.po.in, po/vi.po.in: Sync with TP.

2012-04-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/Makefile.am, src/cli.c, src/srptool.c: No need to include
	gettext.h. Link against libintl when needed.

2012-04-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: no abi change in 3.0.19

2012-04-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_buffers.c, lib/gnutls_buffers.h,
	lib/gnutls_handshake.c, lib/includes/gnutls/gnutls.h.in: 
	gnutls_record_check_unprocessed is now inline function.

2012-04-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/rnd.c: Update random state on all cases.

2012-04-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* gl/tests/ioctl.c: updated gnulib

2012-04-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/testcompat-main: Added TLS 1.2 interop tests.

2012-04-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_pubkey.c, lib/gnutls_state.c: Relax strict
	DSA/ECDSA checks to allow broader interoperability. Stronger hash
	algorithms are now allowed even if DSA might only allow SHA1.

2012-04-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dh.c: Add sanity checks in Diffie-Hellman key exchange
	values.

2012-04-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/mpi.c: corrected DH generation check.

2012-04-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am: updated

2012-04-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_buffers.c, lib/gnutls_handshake.c,
	lib/includes/gnutls/gnutls.h.in: gnutls_record_check_pending
	functionality was divided to gnutls_record_check_pending and
	gnutls_record_check_unprocessed.

2012-04-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_int.h: doc updates

2012-04-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/mpi.c: refuse to generate small group sizes.

2012-04-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: do not check for fchmod

2012-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi, doc/cha-intro-tls.texi: updated
	documentation for dtls.

2012-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-args.def: updated documentation

2012-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-loss-time.c: Revert "avoid killing child" This reverts commit 4965c2fbfd3405e2dfe7f7d747d03185d155c2a1.

2012-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fixes

2012-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool.c: do not print Key ID in a pkcs12 structure if it is
	null.

2012-04-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/common.c: raw_to_string no longer returns NULL.

2012-04-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/pkcs12-decode/pkcs12: improved test and added debugging

2012-04-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_sig.c: corrected comparison

2012-04-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* gl/Makefile.am, gl/dirent.in.h, gl/m4/math_h.m4,
	gl/m4/stdio_h.m4, gl/m4/warn-on-use.m4, gl/m4/warnings.m4,
	gl/math.in.h, gl/stdio.in.h, gl/stdlib.in.h, gl/string.in.h,
	gl/tests/strerror_r.c, gl/tests/test-float.c, gl/tests/test-math.c,
	gl/wchar.in.h, maint.mk: updated gnulib

2012-04-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-upgrade.texi: Added more deprecated functions

2012-04-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* gl/override/tests/test-float.c.diff: avoid the floating point
	test.

2012-04-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-dtls-rehandshake.c, tests/mini-loss-time.c,
	tests/mini-record.c, tests/mini-termination.c,
	tests/openpgp-auth.c, tests/openpgp-auth2.c: use AF_UNIX for
	socketpair.

2012-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: updated

2012-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: make dist will also make lzip compressed tarball

2012-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/accelerated/x86/hmac-padlock.c, lib/algorithms.h,
	lib/algorithms/kx.c, lib/algorithms/mac.c, lib/crypto-api.c,
	lib/gnutls_cipher_int.c, lib/gnutls_constate.c,
	lib/gnutls_hash_int.c, lib/gnutls_hash_int.h, lib/gnutls_pk.c,
	lib/gnutls_pubkey.c, lib/gnutls_sig.c, lib/gnutls_sig.h,
	lib/includes/gnutls/crypto.h, lib/opencdk/armor.c,
	lib/opencdk/misc.c, lib/opencdk/new-packet.c, lib/x509/ocsp.c,
	lib/x509/verify.c, lib/x509/x509.c, lib/x509/x509_int.h: several
	type changes to please clang

2012-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: set release date

2012-04-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/minitasn1/decoding.c: updated libtasn1

2012-04-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am: removed old function.

2012-04-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, m4/hooks.m4: bumped versions

2012-04-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/gnutls.h.in: removed function that didn't
	exist

2012-03-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-termination.c: initialize value

2012-03-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-loss-time.c: avoid killing child

2012-03-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-dtls-rehandshake.c: avoid closing fd[1] on server. For
	some reason it makes connection fail.

2012-03-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am: Add FUNCS to distribution

2012-03-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, NEWS, lib/gnutls_record.c, tests/Makefile.am,
	tests/mini-dtls-rehandshake.c, tests/mini-record.c,
	tests/mini-termination.c: Make sure that
	GNUTLS_E_PREMATURE_TERMINATION is returned if there is premature
	termination.

2012-03-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/dtls/dtls-stress.c: do not build test with timers when posix
	timers are not present.

2012-03-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/opencdk/keydb.c, lib/opencdk/literal.c: corrected types

2012-03-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/ocsp.c: use correct type in snprintf.

2012-03-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/compat.h: added prototypes for inline
	functions (some gcc versions couldn't compile without)

2012-03-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/cert.c, lib/gnutls_auth.h, lib/gnutls_handshake.c,
	lib/gnutls_int.h, lib/gnutls_kx.c, lib/gnutls_kx.h,
	lib/gnutls_sig.c, lib/gnutls_sig.h, lib/gnutls_ui.c: even more
	cleanups

2012-03-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/cert.c, lib/auth/cert.h, lib/auth/dhe.c, lib/auth/rsa.c,
	lib/auth/rsa_export.c, lib/auth/srp_rsa.c: more cleanups

2012-03-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: updated

2012-03-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/ocsp.c, tests/openpgp-auth2.c, tests/resume-dtls.c: Fixes
	for win32 and time. OCSP test now sets a fixed time to avoid
	expiration errors.

2012-03-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/cert.c, lib/auth/cert.h, lib/auth/dhe.c, lib/auth/rsa.c,
	lib/auth/rsa_export.c, lib/auth/srp_rsa.c: simplified internal
	function names.

2012-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* m4/hooks.m4: improvements in long long usage

2012-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/accelerated/cryptodev.c: corrected probing of cryptodev
	digests.

2012-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/accelerated/x86/aes-x86.h, m4/hooks.m4: Do not assume
	sizeof(unsigned long)==sizeof(void*).  Based on patch by B. Scott
	Michel.

2012-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/genshell.h: include libintl. Patch by B. Scott Michel

2012-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/Makefile.am, src/libopts/genshell.h: Revert "use
	header files from gl/ and include gettext.h" This reverts commit 6b3d7b6e31ddab337e185922910262d68f1fc6fa.

2012-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/Makefile.am, src/libopts/genshell.h: use header files
	from gl/ and include gettext.h

2012-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-cxx.cpp: more warnings to silence.

2012-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2012-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-serv-anon.c: silence warnings. Patch by B. Scott
	Michel.

2012-03-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/scripts/getfuncs.pl, lib/includes/gnutls/compat.h: Added
	doc-skip to skip certain functions from documentation.

2012-03-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/compat.h: remove brackets.

2012-03-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/compat.h: Cleaned up deprecated types and
	added a deprecation warning on them.

2012-03-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/compat.h: Provide compatibility inline
	functions for gnutls_session_get_server_random() and
	gnutls_session_get_client_random().

2012-03-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/accelerated/x86/aes-padlock.c: Only call
	check_phe_partial() if PHE has been detected.

2012-03-21  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Update bootstrapping instructions.

2012-03-21  Simon Josefsson <simon@josefsson.org>

	* .gitignore, doc/Makefile.am: Tell automake about all filenames to
	fix 'make distcheck'.

